import httpRequest from '@/utils/axios'

/**
 * 获取所有店铺
 */
export function getShopList(data) {
  return httpRequest.post('/api/shop/shop/search', data)
}
/**
 * 获取商品列表
 */
export function getGoodsList(data) {
  return httpRequest.post('/api/shop/commodity/spu/search', data)
}
/**
 * 获取商品规格
 */
export function getGoodsSpecs(data) {
  return httpRequest.post('/api/shop/commodity/spu/spec/value/search', data)
}
/**
 * 支付下单
 */
export function createOrder(data) {
  return httpRequest.post('/api/shop/order/add', data)
}
/**
 * 查询支付状态
 */
export function checkPayStatus(params) {
  return httpRequest.get('/api/shop/pay/order/callback', { params })
}
/**
 * 查询订单列表
 */
export function getOrderList(data) {
  return httpRequest.post('/api/shop/order/search', data)
}
/**
 * 查询订单详情
 */
export function getOrderDetails(data) {
  return httpRequest.post('/api/shop/order/search', data)
}